# LampTextureSlot(TextureSlot)

base classes — `bpy_struct`, `TextureSlot`

class `bpy.types.``LampTextureSlot`(TextureSlot)

  Texture slot for textures in a Lamp data-block

  `color_factor`

    Amount texture affects color values

    Type: | float in [-inf, inf], default 0.0

  `object`

    Object to use for mapping with Object texture coordinates

    Type: | `Object`

  `shadow_factor`

    Amount texture affects shadow

    Type: | float in [-inf, inf], default 0.0

  `texture_coords`
    - `GLOBAL` Global, Use global coordinates for the texture coordinates.
    - `VIEW` View, Use view coordinates for the texture coordinates.
    - `OBJECT` Object, Use linked object’s coordinates for texture coordinates.

    Type: | enum in [‘GLOBAL’, ‘VIEW’, ‘OBJECT’], default ‘GLOBAL’

  `use_map_color`

    Let the texture affect the basic color of the lamp

    Type: | boolean, default False

  `use_map_shadow`

    Let the texture affect the shadow color of the lamp

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `TextureSlot.texture` `TextureSlot.name` `TextureSlot.offset` `TextureSlot.scale` `TextureSlot.color` | `TextureSlot.blend_type` `TextureSlot.use_stencil` `TextureSlot.invert` `TextureSlot.use_rgb_to_intensity` `TextureSlot.default_value` `TextureSlot.output_node`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Lamp.texture_slots` `LampTextureSlots.add` | `LampTextureSlots.create`